[**smartclientcore**](README.md) • **Docs**

***

[smartclientcore](modules.md) / [constants/interfaces](constants/interfaces/README.md) / CoreConfig

# Interface: CoreConfig

## Properties

<a id="adreinsertion" name="adreinsertion"></a>

### adReinsertion

> **adReinsertion**: `object`

<a id="homad" name="homad"></a>

#### homad

> **homad**: `object`

<a id="enabled" name="enabled"></a>

#### homad.enabled

> **enabled**: `boolean`

<a id="setup" name="setup"></a>

#### homad.setup

> **setup**: `object`

<a id="clientconfig" name="clientconfig"></a>

#### homad.setup.clientConfig

> **clientConfig**: `string`

<a id="enablesessioncoverage" name="enablesessioncoverage"></a>

#### homad.setup.enableSessionCoverage

> **enableSessionCoverage**: `boolean`

<a id="forceactivation" name="forceactivation"></a>

#### homad.setup.forceActivation

> **forceActivation**: `boolean`

<a id="globalconfig" name="globalconfig"></a>

#### homad.setup.globalConfig

> **globalConfig**: `string`

***

<a id="adrequestmethod" name="adrequestmethod"></a>

### adRequestMethod

> **adRequestMethod**: `string`

***

<a id="adsourceselector" name="adsourceselector"></a>

### adSourceSelector

> **adSourceSelector**: `null`

***

<a id="adverification" name="adverification"></a>

### adVerification

> **adVerification**: [`AdVerificationSetup`](constants/interfaces/interfaces/AdVerificationSetup.md)

***

<a id="blockinsecureurl" name="blockinsecureurl"></a>

### blockInsecureURL

> **blockInsecureURL**: `boolean`

***

<a id="maxwrapperdepth" name="maxwrapperdepth"></a>

### maxWrapperDepth

> **maxWrapperDepth**: `number`

***

<a id="playerhandlesnonlinear" name="playerhandlesnonlinear"></a>

### playerHandlesNonLinear

> **playerHandlesNonLinear**: `boolean`

***

<a id="sharevideoelementwithvpaid" name="sharevideoelementwithvpaid"></a>

### shareVideoElementWithVPAID

> **shareVideoElementWithVPAID**: `boolean`

***

<a id="skipoffset" name="skipoffset"></a>

### skipOffset

> **skipOffset**: `number`

***

<a id="timeouts" name="timeouts"></a>

### timeouts

> **timeouts**: `object`

<a id="adrequest" name="adrequest"></a>

#### adRequest

> **adRequest**: `number`

<a id="adrequestchain" name="adrequestchain"></a>

#### adRequestChain

> **adRequestChain**: `number`

<a id="adslotrequest" name="adslotrequest"></a>

#### adSlotRequest

> **adSlotRequest**: `number`

<a id="contentrequest" name="contentrequest"></a>

#### contentRequest

> **contentRequest**: `number`

<a id="nonlinearmaxduration" name="nonlinearmaxduration"></a>

#### nonlinearMaxDuration

> **nonlinearMaxDuration**: `number`

<a id="videorequest" name="videorequest"></a>

#### videoRequest

> **videoRequest**: `number`

<a id="vpaidreadiness" name="vpaidreadiness"></a>

#### vpaidReadiness

> **vpaidReadiness**: `number`

<a id="vpaidrequest" name="vpaidrequest"></a>

#### vpaidRequest

> **vpaidRequest**: `number`

***

<a id="trackskippedquartiles" name="trackskippedquartiles"></a>

### trackSkippedQuartiles

> **trackSkippedQuartiles**: `boolean`

***

<a id="viewability" name="viewability"></a>

### viewability

> **viewability**: `object`

<a id="area" name="area"></a>

#### area

> **area**: `number`

<a id="time" name="time"></a>

#### time

> **time**: `number`
