[**smartclientcore**](README.md) • **Docs**

***

[smartclientcore](modules.md) / [constants/interfaces](constants/interfaces/README.md) / PublicAdSlotAPI

# Interface: PublicAdSlotAPI

## Properties

<a id="currentclip" name="currentclip"></a>

### currentClip

> `readonly` **currentClip**: `number`

Current clip position.

***

<a id="currentcommercial" name="currentcommercial"></a>

### currentCommercial

> `readonly` **currentCommercial**: `number`

Current commercial position.

***

<a id="totalclips" name="totalclips"></a>

### totalClips

> `readonly` **totalClips**: `number`

Total clip count.

***

<a id="totalcommercials" name="totalcommercials"></a>

### totalCommercials

> `readonly` **totalCommercials**: `number`

Total parsed commercials from VAST.

***

<a id="totalcommercialscurrenttime" name="totalcommercialscurrenttime"></a>

### totalCommercialsCurrentTime

> `readonly` **totalCommercialsCurrentTime**: `number`

Total playable commercials from VAST.

***

<a id="totalcommercialsduration" name="totalcommercialsduration"></a>

### totalCommercialsDuration

> `readonly` **totalCommercialsDuration**: `number`

Total duration of all playable commercials.

***

<a id="totalplayableclips" name="totalplayableclips"></a>

### totalPlayableClips

> `readonly` **totalPlayableClips**: `number`

Total playable clip count.
